Subject: [PATCH 0/4]: powerpc/cell spidernet ethernet driver fixes

From: [email-masked] (Linas Vepstas)
Date: Fri, 11 Aug 2006 12:03:37 -0500

The following series of patches implement some fixes and performance
improvements for the Spedernet ethernet device driver. The high point
of the patch series is some code to implement a low-watermark interrupt
on the transmit queue. The bundle of patches raises transmit performance 
from some embarassingly low value to a reasonable 730 Megabits per
second for 1500 byte packets.

Please note that the spider is an ethernet controller that is 
integrated into the south bridge, and is thus available only on
Cell-based platforms.

These have been well-tested over the last few weeks. Please apply. 

--linas